## ecbuild 3.0.3

=== tests/CMakeLists.txt ===
add_subdirectory( bundle_subdir )
add_subdirectory( find_ecbuild )
