=== debian/changelog ===
ecbuild (3.0.3-2) unstable; urgency=medium

  * Set ecbuild as Multi-Arch: foreign
  * Rebuild with source-only upload

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Aug 2019 20:08:10 +0100

ecbuild (3.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #933965)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Aug 2019 18:04:05 +0100
