=== debian/control ===
Source: ecbuild
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 12), 
  dh-buildinfo, 
  dh-fortran-mod (>= 0.11),
  gfortran | fortran-compiler, 
  cmake
Standards-Version: 4.4.0
Homepage: https://confluence.ecmwf.int/spaces/viewspace.action?key=ecbuild
Vcs-Browser: https://salsa.debian.org:/science-team/ecbuild.git
Vcs-Git: https://salsa.debian.org:/science-team/ecbuild.git

Package: ecbuild
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cmake
Description: Build system for ECMWF software
 This is a toolkit from ECMWF to make ecKit interoperable with Fortran.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.
