=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake --with=fortran_mod

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/ecbuild/usr/share/ecbuild/cmake/sg.pl
	chmod -x debian/ecbuild/usr/share/ecbuild/toolchains/preprocess_cray_fortran
