=== regressions/CMakeLists.txt ===
add_subdirectory( ECBUILD_359 )
add_subdirectory( ECBUILD_399 )
add_subdirectory( ECBUILD_401 )
add_subdirectory( ECBUILD_407 )
add_subdirectory( ECBUILD_415 )
add_subdirectory( ECBUILD_433 )
