=== tests/CMakeLists.txt ===
add_subdirectory( bundle_subdir )
add_subdirectory( ecbuild_regex_escape )
add_subdirectory( find_ecbuild )
