=== debian/changelog ===
ecbuild (3.1.0-2) unstable; urgency=medium

  * Add build changes for GNU/Hurd (originally for odb-api)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Oct 2019 11:36:50 +0100

ecbuild (3.1.0-1) unstable; urgency=medium

  * New upstream release
  * Fix comment in d/control
  * Drop unnecessary dependency on dh-fortran-mod
  * Add d/gbp.conf

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Oct 2019 13:07:01 +0100

ecbuild (3.0.3-3) unstable; urgency=medium

  * Patch from Chris Lamb for reproduciblity. Closes: #934767

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Sep 2019 15:37:43 +0100
