=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/ecbuild/usr/share/ecbuild/cmake/sg.pl
	chmod -x debian/ecbuild/usr/share/ecbuild/toolchains/preprocess_cray_fortran

override_dh_install:
	dh_install
	sed -i -e 's@$(CURDIR)@/usr/share/ecbuild@g' debian/ecbuild/usr/lib/cmake/ecbuild/ecbuild-import.cmake
