=== debian/changelog ===
ecbuild (3.3.2-1) unstable; urgency=medium

  * New upstream release
  * Depend on dh-buildinfo, clang-tidy, chrpath
  * Add FindProj4.cmake, FindLatex.cmake patches

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 Apr 2020 09:09:13 +0100

ecbuild (3.3.0-2) unstable; urgency=medium

  * Ship ecbuild.pm for debhelper buildsystem

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Apr 2020 16:34:00 +0100

ecbuild (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Mar 2020 11:48:45 +0000
