=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 12), 
   dh-buildinfo, 
   cmake
-Standards-Version: 4.4.1.0
+Standards-Version: 4.5.0
 Homepage: https://confluence.ecmwf.int/spaces/viewspace.action?key=ecbuild
 Vcs-Browser: https://salsa.debian.org:/science-team/ecbuild.git
 Vcs-Git: https://salsa.debian.org:/science-team/ecbuild.git
@@ -14,7 +14,11 @@
 Section: libs
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, cmake
+Depends: ${misc:Depends},
+ cmake,
+ clang-tidy,
+ chrpath,
+ dh-buildinfo
 Description: Build system for ECMWF software
  This is a toolkit from ECMWF extend CMAKE with macros used at ECMWF.
  .
