## ecbuild 3.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,13 +11,13 @@
 #
 #       -DCMAKE_INSTALL_PREFIX=/path/to/install
 
-cmake_minimum_required( VERSION 3.6.0 FATAL_ERROR )
+cmake_minimum_required( VERSION 3.11.0 FATAL_ERROR )
 
 set( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH} )
 
 
 include( ecbuild )
-project( ecbuild LANGUAGES NONE )
+project( ecbuild LANGUAGES C )
 
 ###############################################################################
 # local project
