=== regressions/CMakeLists.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 add_subdirectory( ECBUILD_407 )
 add_subdirectory( ECBUILD_415 )
 add_subdirectory( ECBUILD_433 )
+add_subdirectory( ECBUILD_495 )
