=== regressions/ECBUILD_407/mybundle/mylib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6 FATAL_ERROR)

find_package(ecbuild QUIET)

project( mylib VERSION 0.1.0 LANGUAGES NONE )

include( ecbuild_system NO_POLICY_SCOPE )

ecbuild_requires_macro_version( 2.9.5 )
ecbuild_declare_project()

ecbuild_install_project( NAME ${PROJECT_NAME} )
