=== debian/changelog ===
ecbuild (3.4.1-1) unstable; urgency=medium

  * Drop optional dependency on clang-tidy, as it breaks building on many
    secondary archs
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Nov 2020 10:47:25 +0000

ecbuild (3.4.0-2) unstable; urgency=medium

  * Ensure files are installed in /usr/lib/cmake and match cmake fragments

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Oct 2020 11:20:23 +0100

ecbuild (3.4.0-1) unstable; urgency=medium

  * New upstream release
  * d/rules: path for usr/li§b/cmake is now  multiarch
  * Move to debhelper level 13
  * Move to DEP-14 branches in d/gbp.conf
  * Point Vcs-Git to debian/latest branch

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Oct 2020 09:43:38 +0100
