=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,11 @@
 
 %:
 	dh $@ --buildsystem=cmake
+
+override_dh_auto_configure:
+	# Don't use multiarch paths
+	dh_auto_configure -- \
+            -DCMAKE_INSTALL_LIBDIR=/usr/lib
 
 override_dh_fixperms:
 	dh_fixperms
