## ecbuild 3.6.1

=== regressions/CMakeLists.txt ===
add_subdirectory( ECBUILD_359 )
add_subdirectory( ECBUILD_401 )
add_subdirectory( ECBUILD_407 )
add_subdirectory( ECBUILD_415 )
add_subdirectory( ECBUILD_433 )
add_subdirectory( ECBUILD_495 )
add_subdirectory( ECBUILD_509 )

if( ${CMAKE_SYSTEM_NAME} MATCHES "Linux" )
    add_subdirectory( ECBUILD_399 )
endif()
