=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -5,4 +5,5 @@
 add_subdirectory( ecbuild_remove_fortran_flags ) # ECBUILD-484
 add_subdirectory( ecbuild_find_package )
 add_subdirectory( ecbuild_add_option )
+add_subdirectory( ecbuild_add_flags )
 add_subdirectory( find_ecbuild )
