=== debian/changelog ===
ecbuild (3.6.1-1) unstable; urgency=medium

  * New upstream release
  * Provide dh_ecbuild, with dh-sequence-ecbuild, to provide ecbuild substvar
    variables (IN DEVELOPMENT)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Mar 2021 11:59:43 +0000
