=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), 
   dh-buildinfo, 
   cmake
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://confluence.ecmwf.int/spaces/viewspace.action?key=ecbuild
 Vcs-Browser: https://salsa.debian.org:/science-team/ecbuild.git
 Vcs-Git: https://salsa.debian.org:/science-team/ecbuild.git -b debian/latest
@@ -18,6 +18,8 @@
  cmake,
  chrpath,
  dh-buildinfo
+Enhances: debhelper
+Provides: dh-sequence-ecbuild
 Description: Build system for ECMWF software
  This is a toolkit from ECMWF extend CMAKE with macros used at ECMWF.
  .
