## ecbuild 3.6.5

=== regressions/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 add_subdirectory( ECBUILD_433 )
 add_subdirectory( ECBUILD_495 )
 add_subdirectory( ECBUILD_509 )
+add_subdirectory( ECBUILD_511 )
 
 if( ${CMAKE_SYSTEM_NAME} MATCHES "Linux" )
     add_subdirectory( ECBUILD_399 )
