=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
 add_subdirectory( ecbuild_add_option )
 add_subdirectory( ecbuild_add_flags )
 add_subdirectory( find_ecbuild )
+add_subdirectory( project_import )
