=== debian/changelog ===
ecbuild (3.6.5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Dec 2021 15:25:35 +0000

ecbuild (3.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Nov 2021 16:47:34 +0000

ecbuild (3.6.3-1) unstable; urgency=medium

  * Add watch file
  * New upstream release
  * Standards-Version: 4.6.0
  * ecbuild-import.cmake now ecbuild-post-import.cmake

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Oct 2021 12:30:32 +0100
