=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), 
   dh-buildinfo, 
   cmake
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://confluence.ecmwf.int/spaces/viewspace.action?key=ecbuild
 Vcs-Browser: https://salsa.debian.org:/science-team/ecbuild.git
 Vcs-Git: https://salsa.debian.org:/science-team/ecbuild.git -b debian/latest
