## ecbuild 3.7.0

=== debian/changelog ===
ecbuild (3.7.0-1) unstable; urgency=medium

  * New upstream release. Closes: #1017297
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Aug 2022 11:28:11 +0100
